Bug 123625 - kudzu is run before pcmcia so fails to detect pcmcia devs
kudzu is run before pcmcia so fails to detect pcmcia devs
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 14:38 EDT by Florin Andrei
Modified: 2014-03-16 22:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 14:37:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2004-05-19 14:38:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040116

Description of problem:
When booting up, kudzu runs before pcmcia, so it believes that my
network card disappeared. But the card is PCMCIA, and pcmcia is not
running when kudzu runs.
Catch-22... :-(

Version-Release number of selected component (if applicable):
kudzu-1.1.62-1

How reproducible:
Always

Steps to Reproduce:
1.install FC2
2.boot up for the first time
3.
    

Actual Results:  kudzu fails to find PCMCIA network card

Expected Results:  kudzu should report nothing, since the hardware
config didn't change

Additional info:

I know it's a tough call.
On one hand, you must run kudzu early enough.
On the other, pcmcia has its own constraints.

Maybe run kudzu once before pcmcia, and configure it to ignore pcmcia.
Then run it again after pcmcia, and tell it to look only for pcmcia.
Comment 1 Steve Mugiri 2004-05-27 19:00:24 EDT
I have also replicated this problem. 

I find that the only work around is for me to remove the device and
recreate it after logging in. Doing a simple ./sbin/service network
restart is not enough. I have to create the eth0 device afresh for the
connection to work.
Comment 2 Matthew Miller 2005-04-26 12:18:26 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.